WarCry - Polski Serwer Ultima Online, Valheim, Legends of Aria, World of Warcraft, ArcheAge, Conan Exiles
Skip

New Legends of Aria game client version

We kindly inform you that as of today (04/06/2019) logging on to our server requires having Legends of Aria installed in version 0.8.7.

Launching a game client by you will automatically install its required version.

Post your comment

Facebook Twitter Pinterest